package org.springblade.community.feign;

import org.springblade.community.entity.Unit;
import org.springblade.community.vo.UnitVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class UnitClientFallback implements IUnitClient {
            /**
         * 详情
         */
        @Override
        public UnitVO detail(Unit unit) {
            return null;
        }

	@Override
	public Unit getById(Long id) {
		return null;
	}

	/**
         * 查询 单元表
         */
        @Override
        public List<UnitVO> list(Unit unit) {
            return null;
        }



        /**
         * 新增 单元表
         */
        @Override
        public boolean save( Unit unit) {
            return false;
        }

        /**
         * 修改 单元表
         */
        @Override
        public boolean update( Unit unit) {
            return false;
        }

        /**
         * 新增或修改 单元表
         */
        @Override
        public boolean submit( Unit unit) {
            return false;
        }


        /**
         * 删除 单元表
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
